@echo off
cls
if "%1"=="" goto format
if not exist compress.exe goto nocompress
echo.
echo You are about to install the MechWarrior 2 demo.
echo.
echo This demo will be installed from the current drive to
echo the \MW2DEMO directory on your %1 drive.
echo.
echo Do you want to proceed with the installation?
echo.
echo     1 = Yes, Please install the demo.
echo     2 = No, I don't want to install the demo at this time.
echo.
choice /c:12
if errorlevel 2 goto installnot
if errorlevel 1 goto installit

:installit
echo.
deltree %1\mw2demo
echo.
echo Installing game files...
echo.
md %1\mw2demo
move compress.exe %1\mw2demo
copy install.bat %1\mw2demo
%1
cd \mw2demo
compress
del compress.exe
del install.bat
cls

if not exist %1\mw2demo\vfx\vesa768.dll goto spaceout

echo.
echo Installation complete.  
echo.
echo.
%1
cd\mw2demo
setup
goto end
cls

:installnot
cls
echo.
echo Installation cancelled.
echo.
echo Thank you for using the MechWarrior 2 demo.
echo.
goto end

:format
echo.
echo You must use the following format to install MechWarrior 2:
echo.
echo    INSTALL [drive to install to]
echo.
echo For instance, if you wish to install MechWarrior 2 to drive C:,
echo you would type the following:
echo.
echo     INSTALL C:
echo.
echo.
goto end

:spaceout
echo.
echo You are out of disk space.  You need about 18 MB's of hard drive
echo space on your %1 drive to install the MechWarrior 2 demo.  The game,
echo after installation, will require 12.5 MB's of hard drive space.  Please
echo clear enough space or install to another drive with enough free
echo disk space.  The MechWarrior 2 demo directory will now be deleted.
echo.
echo.
%1
cd \
deltree mw2demo
goto end

:nocompress
if not exist mw2demo2.exe goto nomech2dem
echo.
echo INSTALL could not find the file COMPRESS.EXE in your current directory.
echo However, in order to create this file, you need only run MW2DEMO2.EXE
echo which IS located in this directory.  After running this file, please
echo run INSTALL again.
echo.
goto end

:nomech2dem
echo.
echo INSTALL could not find the file COMPRESS.EXE in your current directory.
echo This file is needed in order to install MechWarrior 2.  However, in
echo order to create this file, you need only download and run MW2DEMO2.EXE
echo which you can find on you local BBS or online service.
echo.
goto end

:end
@echo on
